package com.hzya.frame.plugin.lets.ofs.dao;

import com.hzya.frame.plugin.lets.ofs.entity.TocofsReturngoodsDetailedEntity;
import com.hzya.frame.basedao.dao.IBaseDao;

import java.util.List;

/**
 * root(tocofs_returngoods_detailed: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-13 11:58:26
 */
public interface ITocofsReturngoodsDetailedDao extends IBaseDao<TocofsReturngoodsDetailedEntity, String> {
    /**
     * 批量插入或更新到底表
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatch(List<TocofsReturngoodsDetailedEntity> tocofsReturngoodsDetailedEntityList) throws Exception;

    /**
     * 批量新增或者修改，TOC退货-库存
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchByTocRerturnStock(List<TocofsReturngoodsDetailedEntity> tocofsReturngoodsDetailedEntityList) throws Exception;

    /**
     * 批量新增或者修改，TOC退货-确认收入
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchByTocRerturnTran(List<TocofsReturngoodsDetailedEntity> tocofsReturngoodsDetailedEntityList) throws Exception;

    /**
     * 批量新增或者修改，TOB退货-库存
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchByTobRerturnStock(List<TocofsReturngoodsDetailedEntity> tocofsReturngoodsDetailedEntityList) throws Exception;

    /**
     * 批量新增或者修改，TOB退货-库存
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchByTobRerturnStockV2(List<TocofsReturngoodsDetailedEntity> tocofsReturngoodsDetailedEntityList) throws Exception;

    /**
     * 批量新增或者修改，TOB退货-确认收入
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchByTobRerturnTran(List<TocofsReturngoodsDetailedEntity> tocofsReturngoodsDetailedEntityList) throws Exception;

    /**
     * 批量新增或者修改，TOB退货-确认收入
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchByTobRerturnTranV2(List<TocofsReturngoodsDetailedEntity> tocofsReturngoodsDetailedEntityList) throws Exception;
}